Runtime

## org.eclipse.gmf.runtime.draw2d.ui.figures
Class RectangularDropShadow

    java.lang.Object
      org.eclipse.gmf.runtime.draw2d.ui.figures.RectangularDropShadow

    public class RectangularDropShadow

extends java.lang.Object

Constructor Summary
`RectangularDropShadow()`

Method Summary
`protected void` `drawBottomRightShadow(IFigure figure, Graphics g, Rectangle rBox)`
`protected void` `drawBottomShadow(IFigure figure, Graphics g, Rectangle rBox)`
`protected void` `drawRightShadow(IFigure figure, Graphics g, Rectangle rBox)`
`void` `drawShadow(IFigure figure, Graphics g, Rectangle rect)` draw a shadow around given rectangle @rect
`protected void` `drawTopRightShadow(IFigure figure, Graphics g, Rectangle rBox)`
`protected Dimension` `getBottomRightShadowDimension()`
`protected Dimension` `getBottomShadowDimension(IFigure figure, Rectangle rBox)`
`protected Dimension` `getLeftShadowDimension()`
`protected Dimension` `getRightShadowDimension(IFigure figure, Rectangle rBox)`
`int` `getShadowHeight()` Method for determining the height of the drop shadow border will take up on the shape.
`int` `getShadowWidth()` Method for determining the width of the drop shadow border will take up on the shape.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RectangularDropShadow

    public RectangularDropShadow()

Method Detail

### getShadowWidth

    public int getShadowWidth()

  Method for determining the width of the drop shadow border will take up on the shape.

  Returns:
    int the width of the drop shadow

### getShadowHeight

    public int getShadowHeight()

  Method for determining the height of the drop shadow border will take up on the shape.

  Returns:
    int the height of the drop shadow

### drawShadow

    public void drawShadow(IFigure figure,
                           Graphics g,
                           Rectangle rect)

  draw a shadow around given rectangle @rect

  Parameters:
    `figure` -
    `g` -
    `rect` - the rectangle to draw the shadow around

### drawTopRightShadow

    protected void drawTopRightShadow(IFigure figure,
                                      Graphics g,
                                      Rectangle rBox)

  Parameters:
    `figure` -
    `g` -
    `rBox` -

### drawRightShadow

    protected void drawRightShadow(IFigure figure,
                                   Graphics g,
                                   Rectangle rBox)

  Parameters:
    `figure` -
    `g` -
    `rBox` -

### drawBottomRightShadow

    protected void drawBottomRightShadow(IFigure figure,
                                         Graphics g,
                                         Rectangle rBox)

  Parameters:
    `figure` -
    `g` -
    `rBox` -

### drawBottomShadow

    protected void drawBottomShadow(IFigure figure,
                                    Graphics g,
                                    Rectangle rBox)

  Parameters:
    `figure` -
    `g` -
    `rBox` -

### getRightShadowDimension

    protected Dimension getRightShadowDimension(IFigure figure,
                                                Rectangle rBox)

  Parameters:
    `figure` -
    `rBox` -
  Returns:
    the `Dimension` representing the right shadow

### getBottomRightShadowDimension

    protected Dimension getBottomRightShadowDimension()

  Returns:
    the `Dimension` representing the bottom right shadow

### getBottomShadowDimension

    protected Dimension getBottomShadowDimension(IFigure figure,
                                                 Rectangle rBox)

  Parameters:
    `rBox` -
  Returns:
    the `Dimension` representing the bottom shadow

### getLeftShadowDimension

    protected Dimension getLeftShadowDimension()

  Returns:
    the `Dimension` representing the left shadow

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.